Mantis Issue Tracking for Scribus
· Hosting provided by Anduin.net / Øverby Consulting ·

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005745ScribusUndo/Redopublic2007-05-23 22:072014-10-08 01:36
Reporterchristoph_s 
Assigned To 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version 
Summary0005745: Metabug: Undo/Redo issues
DescriptionPlease don't file any new bugs here. This is just a tool to keep track of related issues.
TagsNo tags attached.
Patch
Attached Files

- Relationships
related to 0005175closedTsoots Converting restored items to outlines triggers crash 
related to 0005483closedjghali Scribus crashes when trying to resize an empty tiny text frame after undoing the addition of text. 
related to 0004927closedfschmid Rightclicking an object activates the "selected objects only" mode 
related to 0004443closedTsoots undo shape resize undoes more then i have done 
related to 0003446closed Applying round corners on a costom shape loses shape, undo helpless 
parent of 0005087closedjghali Undo "Convert to Outlines" doesn't work correctly 
parent of 0004826closedsubik Guides: remove all guides is not recorded by undo system 
parent of 0004827closedTsoots Copying pages is recorded in the Undo system as apply masterpage to 
parent of 0005164closedTsoots Copying a page x2 and then undoing crashes 
parent of 0005472closedTsoots edit points: undo goes too far in the past and crashes 
parent of 0005505closedcbradney Undo insert page removes adjacent page 
parent of 0004820closedChelen deletion/creation of masterpage is not being recorded by undo system 
parent of 0004828closedcbradney Move page should be recorded by undo system 
parent of 0005489closedjghali Undo-ing 'Adjust frame to Image' doesn't work correctly 
parent of 0005161closedcbradney Undo Rotate uses wrong basepoint 
parent of 0005317closedcbradney "Fit to frame" for images not redoable 
parent of 0005302closedchristoph_s copy page - undo - copy page doubles page contents 
parent of 0005279closed Undoing convert to outlines doesn't delete the created outlines 
parent of 0005257closedavox Scaling diagonal lines then undoing changes puts lines horizontally 
parent of 0005244closedChelen distorted item after resize and undo 
parent of 0005236closedfschmid When undoing with snap on, esp snap to grid, it will snap the items to a location rather than to the original position. 
parent of 0005210closedChelen Undoing EPS graphic scaling does not undo all of scaling 
parent of 0005173closedChelen Page import can't be undone 
parent of 0005141closedfschmid undo/redo steps preference value is not saved when scribus exits 
parent of 0004931closedfschmid Sending a line to fill patterns creates to undo actions: move and rotate 
parent of 0003092closedTsoots undo system: when adding pages the undo system records the path and filename of the current document 
parent of 0005095closedcbradney layers: only the print setting creates an undo action - all other settings not 
parent of 0005075closedcbradney undo object deletion should make the object active 
parent of 0004893closedTsoots move more than one selected obejct should only create one undo record 
parent of 0004735closedTsoots undo text frame deletion does not restore stack position 
parent of 0004929closedcbradney Layers: undo record should not be created if the name of a layer is not really changed 
parent of 0004822closedTsoots Master Pages: Crash when trying to undo non existing objects 
parent of 0003645closedTsoots Undo in connection with master pages triggers crash 
parent of 0002338closedcbradney Manage Page Properties: Changes are not recorded by the undo system 
parent of 0005065closedcbradney Add a list of possible undo/redo actions to the docs 
parent of 0004916closedcbradney Cannot undo text frame removal. 
parent of 0004907closedsubik display picture in context menu is not recorded by undo system 
parent of 0004935closedjghali Undoing operations with EPS file take forever 
parent of 0004930closedcbradney Layers: Mode and transparency are not recorded by undo system 
parent of 0004832closedChelen Undo: setting transpareny mode is not recorded by undo system 
parent of 0004833closedChelen Undo: overprint setting change is not recorded in undo system 
parent of 0004837closedjghali changes on rotation of bezier curves are not recorded by the undo system correctly 
parent of 0004718closedChelen Undo "Combine Polygons" doesn't work and should be deactivated until the issue is fixed 
parent of 0004442closedTsoots Switching doc from the windows menu doesn't change the undo stack 
parent of 0003443closedTsoots Scrapbook eps don't undo correctly 
parent of 0004430closedTsoots Undo and text to shape 
parent of 0003582closedTsoots undo shape resize undoes more then i have done 
parent of 0004358closedTsoots Delete/Undo-Strangeness crossing two documents leads to segfault 
parent of 0004417closedfschmid undoing table ungrouping forgets it was a table 
parent of 0004272closedTsoots undo image resize 
parent of 0004446closedTsoots undo image resize 
parent of 0004444closedTsoots Scrapbook eps don't undo correctly 
parent of 0004441closedTsoots Switching doc from the windows menu doesn't change the undo stack 
parent of 0004381closedcbradney Crash when undoing creation of a text frame when having Story Editor open for it 
parent of 0004325closedfschmid Loading of pattern(s) is included in undo/redo 
parent of 0003702closedTsoots Undo not working after shape edit 
parent of 0000023closedTsoots Increase the Undo ability of Scribus 
parent of 0004264closedTsoots loss of data after issuing undo on text frame edit more 
parent of 0002349closedTsoots Adding Picture effects is not recorded by the undo system 
parent of 0004186closedTsoots Adding Picture effects is not recorded by the undo system 
parent of 0003953closed Crash after Undo 
parent of 0002537closedTsoots Enabled undo system disabling from preferences 
parent of 0003954closedcbradney No Undo within Textframe 
parent of 0003915closedcbradney Undo doesn't work in story editor 
parent of 0003006closedTsoots Show undo action name in Edit menu 
parent of 0003599closedcbradney Undo: Clear content is not recorded by the undo engine 
parent of 0003428closedavox refresh issue when undoing a text frame creation 
parent of 0003445closedcbradney Type fill does not undo. 
parent of 0003414closedChelen PDF-Options for textframes do not create undo actions 
parent of 0003372closedavox Restored text frames lose their content and don't accept sample text 
parent of 0003301closedplinnell Undo does not work on text object 
parent of 0003390closedcbradney Crash when undoing creation of a text item while editing text in it 
parent of 0003385closedcbradney Pas d'annulation pour la saisie de texte 
parent of 0003334closedcbradney Add in undo/redo for image offset, scale and DPI 
parent of 0002461closedTsoots Moved objects cannot be un-dobne. 
parent of 0002294closedTsoots Undo System: Record multiple duplications as one action 
parent of 0002435closedTsoots Trying to undo actions done on Master Page Objects whilst in operating on normal Pages triggers a crash. 
parent of 0002741closedcbradney changes on the properties pallete are never undone 
parent of 0002142closedTsoots Action History does not record all changes 
parent of 0002969closedcbradney Undoing creation of any object crashes Scribus 
parent of 0002942closed Undo Copying Pages causes a Freeze 
parent of 0002704closedfschmid Can't undo Custom Tab Fill char in Prefs/Tools 
parent of 0000779closedcbradney undo seems to have stopped working in the latest cvs of June 11th 
parent of 0002444closedplinnell How to delete history before saving and exporting 
parent of 0001529closedTsoots "Undo history" palette 
parent of 0000389closedplinnell UNDO not work... BUG 0000023 IS NOT MINORITY BUG!!! 
parent of 0000046closedchristoph_s Undo-Redo does not seem to work in story editor 
parent of 0005813closedcbradney Undoing any vector import lets desktop freeze 
parent of 0005814closedsubik Give barcode creator unique name for undo actions 
parent of 0005988closedjghali Bad undo after redimension 
parent of 0006375closedplinnell Grouping/ungrouping is not recorded by the action history 
parent of 0006220closedChelen Undoing split polygon doesn't work 
parent of 0009811closedcbradney [FIX] undo for changing image scaling type, undo for clear contents of image frame and fix undo loading new image 
parent of 0010310closedChelen No Undo on Style change 
child of 0012500acknowledged Metabug: Undo/Redo (1.5.0.svn) 

-  Notes
(0016345)
christoph_s (administrator)
2007-05-29 03:37
edited on: 2007-05-29 03:38

Acknowledged by avox's addition to the roadmap: http://wiki.scribus.net/index.php/1.3.x_Roadmap [^]

(0033925)
Kunda (manager)
2014-10-08 01:36

Closing in favor of 0012500 "Metabug: Undo/Redo (1.5.0.svn)"

- Issue History
Date Modified Username Field Change
2007-05-23 22:07 christoph_s New Issue
2007-05-23 22:08 christoph_s Relationship added parent of 0005087
2007-05-23 22:08 christoph_s Relationship added parent of 0004826
2007-05-23 22:09 christoph_s Relationship added parent of 0004827
2007-05-23 22:09 christoph_s Relationship added parent of 0005164
2007-05-23 22:10 christoph_s Relationship added related to 0005175
2007-05-23 22:10 christoph_s Relationship added parent of 0005472
2007-05-23 22:10 christoph_s Relationship added parent of 0005505
2007-05-23 22:11 christoph_s Relationship added parent of 0004820
2007-05-23 22:11 christoph_s Relationship added parent of 0004828
2007-05-23 22:11 christoph_s Relationship added related to 0005483
2007-05-23 22:11 christoph_s Relationship added parent of 0005489
2007-05-23 22:12 christoph_s Relationship added parent of 0005161
2007-05-23 22:12 christoph_s Relationship added parent of 0005317
2007-05-23 22:12 christoph_s Relationship added parent of 0005302
2007-05-23 22:13 christoph_s Relationship added parent of 0005279
2007-05-23 22:13 christoph_s Relationship added parent of 0005275
2007-05-23 22:13 christoph_s Relationship deleted parent of 0005275
2007-05-23 22:13 christoph_s Relationship added parent of 0005257
2007-05-23 22:14 christoph_s Relationship added parent of 0005244
2007-05-23 22:14 christoph_s Relationship added parent of 0005236
2007-05-23 22:14 christoph_s Relationship added parent of 0005210
2007-05-23 22:15 christoph_s Relationship added parent of 0005173
2007-05-23 22:15 christoph_s Relationship added parent of 0005141
2007-05-23 22:15 christoph_s Relationship added parent of 0004931
2007-05-23 22:15 christoph_s Relationship added parent of 0003092
2007-05-23 22:16 christoph_s Relationship added parent of 0005095
2007-05-23 22:16 christoph_s Relationship added parent of 0005075
2007-05-23 22:16 christoph_s Relationship added parent of 0004893
2007-05-23 22:17 christoph_s Relationship added parent of 0004735
2007-05-23 22:17 christoph_s Relationship added parent of 0004929
2007-05-23 22:18 christoph_s Relationship added parent of 0004822
2007-05-23 22:18 christoph_s Relationship added parent of 0003645
2007-05-23 22:18 christoph_s Relationship added parent of 0002338
2007-05-23 22:18 christoph_s Relationship added parent of 0005065
2007-05-23 22:19 christoph_s Relationship added parent of 0004916
2007-05-23 22:19 christoph_s Relationship added related to 0004927
2007-05-23 22:20 christoph_s Relationship added parent of 0004907
2007-05-23 22:23 christoph_s Relationship added parent of 0004935
2007-05-23 22:23 christoph_s Relationship added parent of 0004930
2007-05-23 22:23 christoph_s Relationship added parent of 0004832
2007-05-23 22:23 christoph_s Relationship added parent of 0004833
2007-05-23 22:24 christoph_s Relationship added parent of 0004837
2007-05-23 22:24 christoph_s Relationship added parent of 0004718
2007-05-23 22:25 christoph_s Relationship added parent of 0004442
2007-05-23 22:25 christoph_s Relationship added parent of 0003443
2007-05-23 22:26 christoph_s Relationship added parent of 0004430
2007-05-23 22:26 christoph_s Relationship added parent of 0003582
2007-05-23 22:26 christoph_s Relationship added parent of 0004358
2007-05-23 22:27 christoph_s Relationship added parent of 0004417
2007-05-23 22:27 christoph_s Relationship added parent of 0004272
2007-05-23 22:28 christoph_s Relationship added parent of 0004446
2007-05-23 22:28 christoph_s Relationship added parent of 0004444
2007-05-23 22:28 christoph_s Relationship added related to 0004443
2007-05-23 22:29 christoph_s Relationship added parent of 0004441
2007-05-23 22:30 christoph_s Relationship added parent of 0004381
2007-05-23 22:30 christoph_s Relationship added parent of 0004353
2007-05-23 22:31 christoph_s Relationship added parent of 0004325
2007-05-23 22:31 christoph_s Relationship added parent of 0003702
2007-05-23 22:32 christoph_s Relationship added parent of 0000023
2007-05-23 22:32 christoph_s Relationship added parent of 0004264
2007-05-23 22:32 christoph_s Relationship added parent of 0002349
2007-05-23 22:33 christoph_s Relationship added parent of 0004186
2007-05-23 22:33 christoph_s Relationship added parent of 0003953
2007-05-23 22:33 christoph_s Relationship added parent of 0002537
2007-05-23 22:34 christoph_s Relationship added parent of 0003954
2007-05-23 22:34 christoph_s Relationship added parent of 0003915
2007-05-23 22:34 christoph_s Relationship added parent of 0003006
2007-05-23 22:34 christoph_s Relationship added parent of 0003599
2007-05-23 22:35 christoph_s Relationship added parent of 0003428
2007-05-23 22:35 christoph_s Relationship added parent of 0003445
2007-05-23 22:35 christoph_s Relationship added parent of 0003414
2007-05-23 22:35 christoph_s Relationship added parent of 0003372
2007-05-23 22:36 christoph_s Relationship added parent of 0003455
2007-05-23 22:36 christoph_s Relationship added related to 0003446
2007-05-23 22:36 christoph_s Relationship added parent of 0003301
2007-05-23 22:37 christoph_s Relationship added parent of 0003390
2007-05-23 22:37 christoph_s Relationship added parent of 0003385
2007-05-23 22:37 christoph_s Relationship added parent of 0003334
2007-05-23 22:37 christoph_s Relationship added parent of 0002461
2007-05-23 22:38 christoph_s Relationship added parent of 0002294
2007-05-23 22:38 christoph_s Relationship added parent of 0002435
2007-05-23 22:38 christoph_s Relationship added parent of 0002741
2007-05-23 22:39 christoph_s Relationship added parent of 0002142
2007-05-23 22:39 christoph_s Relationship added parent of 0002969
2007-05-23 22:39 christoph_s Relationship added parent of 0002942
2007-05-23 22:40 christoph_s Relationship added parent of 0002704
2007-05-23 22:40 christoph_s Relationship added parent of 0000779
2007-05-23 22:40 christoph_s Relationship added parent of 0002444
2007-05-23 22:40 christoph_s Relationship added parent of 0001529
2007-05-23 22:41 christoph_s Relationship added parent of 0000389
2007-05-23 22:41 christoph_s Relationship added parent of 0000046
2007-05-23 23:42 christoph_s Note Added: 0016302
2007-05-24 04:30 christoph_s Note Deleted: 0016302
2007-05-29 03:37 christoph_s Note Added: 0016345
2007-05-29 03:37 christoph_s Status new => confirmed
2007-05-29 03:38 christoph_s Status confirmed => acknowledged
2007-05-29 03:38 christoph_s Note Edited: 0016345
2007-06-01 22:26 christoph_s Relationship added parent of 0005813
2007-06-01 22:26 christoph_s Relationship added parent of 0005814
2007-07-12 14:39 christoph_s Relationship added parent of 0005988
2007-10-17 20:19 christoph_s Relationship added parent of 0006375
2008-02-05 23:19 christoph_s Relationship added parent of 0006220
2008-02-08 18:09 avox Relationship added related to 0001630
2011-03-07 17:38 cbradney Relationship added parent of 0009811
2011-10-12 14:33 ale Relationship added parent of 0010310
2014-07-25 07:26 Kunda Relationship added child of 0012500
2014-10-08 01:32 Kunda Relationship deleted parent of 0004353
2014-10-08 01:32 Kunda Relationship deleted parent of 0003455
2014-10-08 01:33 Kunda Relationship deleted related to 0001630
2014-10-08 01:36 Kunda Note Added: 0033925
2014-10-08 01:36 Kunda Status acknowledged => closed
2014-10-08 01:36 Kunda Resolution open => fixed



Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker